import { EventEmitter } from '../../../stencil.core';
/**
 * The scss have been copied to the scss folder
 * The source code comes from
 * https://github.com/BioPhoton/css-star-rating#readme
 */
export declare class StarRating {
    light: boolean;
    rating: number;
    ratingChanged: EventEmitter<number>;
    private starIndexes;
    /**
     * Override
     */
    componentWillLoad(): void;
    /**
     * The user clicks on a star
     * Emit a change
     * @param event
     */
    setRating(_rating: number): void;
    render(): any;
}
